package org.objectweb.fractal.juliak.membrane;

import org.objectweb.fractal.api.factory.Factory;
import org.objectweb.fractal.api.factory.GenericFactory;
import org.objectweb.fractal.api.type.TypeFactory;

/**
 * A factory for a given component type where the basic type and instance
 * factories can be customized with getter/setter methods.
 * 
 * @author Lionel Seinturier <Lionel.Seinturier@lifl.fr>
 * @since 2.5
 */
public interface CustomFactory extends Factory {

    public void setFcTypeFactory( TypeFactory tf );
    public TypeFactory getFcTypeFactory();
    
    public void setFcGenericFactory( GenericFactory gf );
    public GenericFactory getFcGenericFactory();
}
