/***
 * Julia
 * Copyright (C) 2005-2006 INRIA, France Telecom, USTL
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: Lionel.Seinturier@lifl.fr
 *
 * Author: Lionel Seinturier
 */

package org.objectweb.fractal.julia.conform.controllers;

import org.objectweb.fractal.juliak.membrane.MembraneDef;
import org.objectweb.fractal.juliak.membrane.MembraneDefProvider;


/**
 * This class defines two control membranes with a stat controller.
 * 
 * @author Lionel Seinturier <Lionel.Seinturier@lifl.fr>
 * @since 2.5
 */
public class StatMembranes implements MembraneDefProvider {

    public MembraneDef[] getMembraneDefs() {
        return MEMBRANES;
    }

    
    final private static MembraneDef[] MEMBRANES =
        new MembraneDef[]{
            new MembraneDef(
                    "statPrimitive",
                    "org.objectweb.fractal.julia.conform.controllers.StatPrimitive"),
            new MembraneDef(
                    "statComposite",
                    "org.objectweb.fractal.julia.conform.controllers.StatComposite"),
        };

}
